%define momorel 2

%define peardir %{_datadir}/pear

%define xmlrpcver 1.4.4

Summary: PHP Extension and Application Repository framework
Name: php-pear
Version: 1.4.6
Release: %{momorel}m
License: PHP
Group: Development/Languages
URL: http://pear.php.net/package/PEAR
Source0: install-pear-nozlib-%{version}.phar
Source2: relocate.php
Source3: strip.php
Source10: pear.sh
Source11: pecl.sh
Source12: peardev.sh
Source20: XML_RPC-%{xmlrpcver}.tgz

Patch0: php-pear-1.4.5-template-fixes.patch
Patch1: php-pear-1.4.5-template-postun.patch
Patch2: php-pear-1.4.5-makerpm-cleanup.patch
Patch3: php-pear-1.4.5-makerpm-rh-namingconvs.patch

BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: php >= 5.1.0
Provides: php-pear(Archive_Tar) = 1.3.1 
Provides: php-pear(Console_Getopt) = 1.2
Provides: php-pear(PEAR) = %{version}
Provides: php-pear(XML_RPC) = %{xmlrpcver}

Requires: php >= 5.1.0



%description
PEAR is a framework and distribution system for reusable PHP
components.  This package contains the basic PEAR components.

%prep
%setup -cTn pear-%{version}

%install
rm -rf $RPM_BUILD_ROOT

export PHP_PEAR_SYSCONF_DIR=`pwd`
export PHP_PEAR_SIG_KEYDIR=/etc/pearkeys


%{_bindir}/php -n -dshort_open_tag=0 -dsafe_mode=0 \
         -derror_reporting=E_ALL -ddetect_unicode=0 \
        %{SOURCE0} -d $RPM_BUILD_ROOT%{peardir}\
                   -b $RPM_BUILD_ROOT%{_bindir} \
                   %{SOURCE20}

pushd %{buildroot}%{peardir}
%{__patch} -p0 data/PEAR/template.spec %{PATCH0}
%{__patch} -p1 data/PEAR/template.spec %{PATCH1}
%{__patch} -p0 < %{PATCH2}
%{__patch} -p0 < %{PATCH3}
popd

# Replace /usr/bin/* with something simple:
for f in pecl pear peardev; do 
   install -m 755 $RPM_SOURCE_DIR/${f}.sh $RPM_BUILD_ROOT%{_bindir}/${f}
done

install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/php

# Relocate everything:
sed -si "s,$RPM_BUILD_ROOT,,g" \
         $RPM_BUILD_ROOT%{peardir}/*.php \
         $RPM_BUILD_ROOT%{peardir}/*/*.php \
         $RPM_BUILD_ROOT%{peardir}/*/*/*.php

# Sanitize the pear.conf
%{_bindir}/php -n %{SOURCE2} pear.conf $RPM_BUILD_ROOT > new-pear.conf
%{_bindir}/php -n %{SOURCE3} new-pear.conf ext_dir > $RPM_BUILD_ROOT%{_sysconfdir}/php/pear.conf

for f in $RPM_BUILD_ROOT%{peardir}/.registry/*.reg; do
   %{_bindir}/php -n %{SOURCE2} ${f} $RPM_BUILD_ROOT > ${f}.new
   mv ${f}.new ${f}
done

%check
# Check that no buildroot-relative or arch-specific paths are left in the pear.conf
grep $RPM_BUILD_ROOT $RPM_BUILD_ROOT%{_sysconfdir}/pear.conf && exit 1
grep %{_libdir} $RPM_BUILD_ROOT%{_sysconfdir}/pear.conf && exit 1

%clean
rm -rf $RPM_BUILD_ROOT
rm pear.conf

%files
%defattr(-,root,root,-)
%{peardir}
%{_bindir}/*
%config %{_sysconfdir}/php/pear.conf

%changelog
* Mon Feb 27 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- fix pear.conf locaion.

* Mon Feb 27 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- update to 1.4.6

* Fri Dec 9 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- import from fedora

* Tue Dec  6 2005 Joe Orton <jorton@redhat.com> 1:1.4.5-4
- fix virtual provide for PEAR package (#175074)

* Sun Dec  4 2005 Joe Orton <jorton@redhat.com> 1:1.4.5-3
- fix /usr/bin/{pecl,peardev} (#174882)

* Thu Dec  1 2005 Joe Orton <jorton@redhat.com> 1:1.4.5-2
- add virtual provides (#173806) 

* Wed Nov 23 2005 Joe Orton <jorton@redhat.com> 1.4.5-1
- initial build (Epoch: 1 to allow upgrade from php-pear-5.x)

